package cn.com.qmth.stmms.biz.common.domain.card;

import java.util.Collections;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import cn.com.qmth.stmms.biz.mark.model.MarkConfigItem;

@JsonIgnoreProperties(ignoreUnknown = true)
public class CardGroup {

    private Integer groupNumber;

    private List<CardGroupQuestion> questions = Collections.emptyList();

    private List<MarkConfigItem> sliceConfig = Collections.emptyList();

    @JsonIgnore
    private boolean doubleEnable;

    @JsonIgnore
    private String mode;

    @JsonIgnore
    private Double totalScore;

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public List<CardGroupQuestion> getQuestions() {
        return questions;
    }

    public void setQuestions(List<CardGroupQuestion> questions) {
        this.questions = questions;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public boolean isDoubleEnable() {
        return doubleEnable;
    }

    public void setDoubleEnable(boolean doubleEnable) {
        this.doubleEnable = doubleEnable;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public List<MarkConfigItem> getSliceConfig() {
        return sliceConfig;
    }

    public void setSliceConfig(List<MarkConfigItem> sliceConfig) {
        this.sliceConfig = sliceConfig;
    }

}